Summary: Pluggable Authentication Modules: modular, incremental authentication
Name: pam
Version: 0.57
Release: 3
Copyright: GPL or BSD
Group: Base
Source: http://parc.power.net/morgan/Linux-PAM/Linux-PAM-0.57.tar.gz
Source1: other.pamd
Patch1: Linux-PAM-0.56-dirs.patch
Patch2: Linux-PAM-0.57-nofaildelay.patch
Patch3: Linux-PAM-0.56-prompt.patch
Patch4: Linux-PAM-0.56-groupconf.patch
Patch5: Linux-PAM-0.56-timeconf.patch
Patch7: Linux-PAM-0.56-limitsconf.patch
Patch9: Linux-PAM-0.56-nopasswd+.patch
Patch10: Linux-PAM-0.56-noaxp.patch
Patch11: Linux-PAM-0.56-glibc.patch
Patch13: Linux-PAM-0.56-ldx.patch
Patch14: Linux-PAM-0.57-bothconfs.patch
Patch15: Linux-PAM-0.56-nopedantic.patch
Patch16: Linux-PAM-0.57-envconf.patch
Patch17: Linux-PAM-0.57-rhlock.patch
Patch18: Linux-PAM-0.57-errno.patch
Patch19: Linux-PAM-0.57-delay.patch
Requires: cracklib-dicts, pwdb >= 0.54-2, pamconfig >= 0.51

%description
PAM (Pluggable Authentication Modules) is a powerful, flexible,
extensible authentication system which allows the system administrator
to configure authentication services individually for every pam-compliant
application without recompiling any of the applications.

%changelog

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>

- built against glibc 

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>

Require a high enough version of pwdb

* Tue Apr 15 1997 Michael K. Johnson <johnsonm@redhat.com>

Moved from .56 to .57

* Thu Feb 27 1997 Michael K. Johnson <johnsonm@redhat.com>

Moved from .54 to .56, and from pam.conf to pam.d

%prep
%setup -n Linux-PAM-0.57
%patch1 -p1 -b .dirs
%patch2 -p1 -b .nofaildelay
%patch3 -p1 -b .prompt
%patch4 -p1 -b .groupconf
%patch5 -p1 -b .timeconf
%patch7 -p1 -b .limitsconf
%patch9 -p1 -b .nopasswd+
%patch13 -p1 -b .ldx
%patch14 -p1 -b .bothconfs
%patch15 -p1 -b .nopedantic
%patch16 -p1 -b .envconf
%patch17 -p1 -b .rhlock
%patch18 -p1 -b .errno
%patch19 -p1 -b .delay
%patch10 -p1 -b .noaxp
%patch11 -p1 -b .noaxp

%build
rm default.defs
ln -s defs/redhat.defs default.defs
touch .freezemake
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
(cd doc ; make ; gzip -9 ps/*.ps)

%install
rm -rf /lib/security/*
mkdir -p /usr/include/security
make install
install -d -m 755 -o 0 -g 0 /etc/pam.d
install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/other.pamd /etc/pam.d/other

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%dir /etc/pam.d
%config /etc/pam.d/other
%doc Copyright
%doc doc/html doc/ps doc/txts
%doc doc/specs/rfc86.0.txt
/lib/libpam.so.0.57
/lib/libpam.so
/lib/libpam_misc.so.0.57
/lib/libpam_misc.so
/lib/libpam_misc.a
/usr/include/security/_pam_types.h
/usr/include/security/_pam_macros.h
/usr/include/security/pam_appl.h
/usr/include/security/pam_filter.h
/usr/include/security/pam_modules.h
/usr/include/security/pam_misc.h
/sbin/pam_filter
/sbin/pwdb_chkpwd
/lib/security
%config /etc/security/time.conf
%config /etc/security/group.conf
%config /etc/security/limits.conf
%config /etc/security/pam_env.conf
